ACL
All operations require authentication.
List IP ACLsProduction
Returns the IP ACLs of the cluster. Only the networks listed in an ACL can connect to the cluster.
Path parameters
Service name
Response
Family of IP ACL
IPV4IPV6ID of IP ACL
IP address (e.g., 192.0.2.0)
IP address (e.g., 192.0.2.0)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ acl \
-H "authorization: Bearer $OVH_TOKEN"[ { "family": "IPV4", "id": 0, "netmask": "192.0.2.0", "network": "192.0.2.0" }]
Get an IP ACLProduction
Returns an IP ACL, which allows one network to connect to the cluster.
Path parameters
Acl ID
Service name
Response
Family of IP ACL
IPV4IPV6ID of IP ACL
IP address (e.g., 192.0.2.0)
IP address (e.g., 192.0.2.0)
Example uses aclId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ acl/ {aclId} \
-H "authorization: Bearer $OVH_TOKEN"{ "family": "IPV4", "id": 0, "netmask": "192.0.2.0", "network": "192.0.2.0"}
Create IP ACLsProduction
Creates one IP ACL for each network in aclList, to allow it to connect to the cluster. The ACLs also apply to CephFS.
Path parameters
Service name
Request body (required)
List of new ACLs
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ acl \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete an IP ACLProduction
Deletes the IP ACL. Clients in its network can no longer connect to the cluster.
Path parameters
Acl ID
Service name
Response
Example uses aclId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ acl/ {aclId} \
-H "authorization: Bearer $OVH_TOKEN""string"